summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorsamedamci2020-06-02 11:44:57 +0200
committersamedamci2020-06-02 11:44:57 +0200
commit3b5099eb48861f66bcab7662a356d969a84c0097 (patch)
tree0901c21d8717e4abe3dc4bbc05d080ac4a8f772f
parentffefaff477c16dfaea8a4388c71af0648668e204 (diff)
downloadaur-rofi-mpd.tar.gz
Change package owner and script
Prior99 disowned this outdated package. Now I maintain it and use it for my own script rofi-mpd.
-rw-r--r--.SRCINFO15
-rw-r--r--PKGBUILD28
2 files changed, 26 insertions, 17 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 11561f2c2d3..4267144d49d 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,15 +1,16 @@
pkgbase = rofi-mpd
- pkgdesc = Script for controlling mpd through rofi.
- pkgver = 0.1.0
+ pkgdesc = Script for controlling mpd through rofi
+ pkgver = 1.0
pkgrel = 1
- url = https://github.com/Prior99/mopidy-subidy
+ url = https://github.com/samedamci/rofi-mpd
arch = any
- license = GPL3
+ license = MIT
depends = mpc
- depends = zsh
+ depends = mpd
+ depends = rofi
provides = rofi-mpd
- source = https://github.com/prior99/rofi-mpd/archive/0.1.0.tar.gz
- sha256sums = 7cb8666c26002e3586198f8aebd9ac808c19eced196434980fa3fe3346f26f00
+ source = https://github.com/samedamci/rofi-mpd/archive/v1.0.tar.gz
+ sha256sums = 90c6079e636cbbf0ed93d017c9c4011f4121b653b113f38289e7682005803809
pkgname = rofi-mpd
diff --git a/PKGBUILD b/PKGBUILD
index 939e703fe18..16f1d1b5bc8 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,21 +1,29 @@
-# Maintainer: Frederick Gnodtke <fgnodtke at cronosx dot de>
+# Maintainer: samedamci <samedamci@disroot.org>
pkgname=rofi-mpd
-pkgver=0.1.0
+pkgver=1.0
pkgrel=1
-pkgdesc="Script for controlling mpd through rofi."
+pkgdesc="Script for controlling mpd through rofi"
arch=('any')
-url="https://github.com/Prior99/mopidy-subidy"
-license=('GPL3')
+url="https://github.com/samedamci/rofi-mpd"
+license=('MIT')
depends=(
'mpc'
- 'zsh')
+ 'mpd'
+ 'rofi')
provides=('rofi-mpd')
-source=("https://github.com/prior99/${pkgname}/archive/${pkgver}.tar.gz")
-sha256sums=('7cb8666c26002e3586198f8aebd9ac808c19eced196434980fa3fe3346f26f00')
+source=("https://github.com/samedamci/${pkgname}/archive/v${pkgver}.tar.gz")
+sha256sums=('90c6079e636cbbf0ed93d017c9c4011f4121b653b113f38289e7682005803809')
package() {
- cd "$srcdir/$pkgname-$pkgver"
- install -D -m755 rofi-mpd.zsh "${pkgdir}/usr/bin/rofi-mpd"
+ cd "$pkgname-$pkgver" || exit 1
+ local doc_path="$pkgdir/usr/share/doc/${pkgname}"
+
+ install -Dm755 "rofi-mpd" "$pkgdir/usr/bin/${pkgname}"
+
+ install -Dm755 -d "$pkgdir/usr/share/doc/${pkgname}"
+
+ install -Dm644 "README.md" "${doc_path}/README.md"
+ install -Dm644 "LICENSE" "$pkgdir/usr/share/licenses/${pkgname}/LICENSE"
}